.modalMarginDefault{
  margin: 0 1rem;;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  @include modalFont;
}

.modalDefaultHeight{
  min-height: 15rem;
}

.modalMain {
  @include defaultBorder;
  position: fixed;
  background: white;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: grid;
  grid-template-rows: 1fr 10fr;
  @include modalFont;
}

.modalViewNormal {
  @extend .modalMain;
  @extend .modalDefaultHeight;
  width: 40%;
  height: 30%;
}

.modalViewLarge {
  @extend .modalMain;
  @extend .modalDefaultHeight;
  width: 60%;
  height: 40%;
}

.modalContent {
  display: grid;
  grid-template-areas: "." "modalTitle" "modalText" "modalButtons";
  grid-template-rows: 1fr 0.5fr 4fr 1fr;
  justify-items: center;
  grid-row-gap: 0.5rem;
  height: 100%;
  @include modalFont;
}

.modalHeader {
  background: $primaryGrey;
  display: flex;
  justify-content: space-between;
  border-bottom: 0.05rem solid;

}

.modalTitle {
  @include modalTextAndTitle;
  grid-area: modalTitle;

}
.modalText {
  @include modalTextAndTitle;
  grid-area: modalText;
  @include modalFont;
}

.modalButtons {
  grid-area: modalButtons;
  width: 40%;
  display: flex;
  justify-content: space-between;

}

.modalHeaderTitle {
  margin: 0.5rem 0.5rem;
  align-self: center;
  @include modalFont;
}

.modalIcons {
  display: flex;
}

.modalIcon {
  color: black;
  border: 0.1rem solid;
  margin: 0 0.2rem;
  align-self: center;
  background: $primaryLight;
  padding: 0 0.1rem;
}

.minimizedModal {
  @extend .modalHeader;
  position: fixed;
  bottom: 0;
  left: 0;
}

.displayBlock {
  display: block;
}

.displayNone {
  display: none;
}

.displayFlex {
  display: flex;
}

.modalLabelRequired{
  @extend .modalMarginDefault;
  color: $primaryRed;
}

.modalLabelText{
  @extend .modalMarginDefault
}

.modalTextAreaAlignment{
  padding-top: 3rem;
}

.modalFontText{
  @include modalFont;
}

@media only screen and (max-device-width: 800px) {
  .modalViewNormal {
    width: 100%;
    height: 30%;
  }
  
  .modalViewLarge {
    width: 100%;
    height: 50%;
  }
}

